@import "../../assets/scss/vuexy/_variables.scss";

/* Custom vue-js-modal */
.vm--container {
  z-index: 52005 !important;
}

#modals-container .vm--modal {
  border-radius: 8px;
  max-width: 100%;
  overflow: visible;

  .modal-header {
    color: rgba(var(--vs-primary), 1);
    background: #f8f8f8;
    border-radius: 5px 5px;
    position: relative;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;

    .dialog-title {
      padding: 0.8rem;
      color: inherit;
    }

    .dialog-title,
    h3 {
      transition: all 0.23s ease 0.1s;
      font-size: 1.2rem;
      margin: 0;
    }

    span.after {
      width: 0;
    }

    .vs-dialog-cancel {
      position: absolute;
      top: -0.55rem;
      right: -0.55rem;
      z-index: 52007;
      padding: 8px;
      cursor: pointer;
      box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.14);
      border-radius: 5px;
      background: #fff;
      font-size: 1.35em !important;

      &:hover {
        transform: translate(-8px, 8px);
        transition: all 0.23s ease 0.1s;
      }
    }

    .vs-icon {
      color: inherit;
      text-align: center;
      font-size: 1rem;
    }
  }

  .modal-body {
    padding: 1rem;
    font-size: 1rem;
  }

  .modal-footer {
    display: flex;
    padding: 1rem;
    align-items: center;
    justify-content: flex-end;
    position: relative;

    .vs-button:last-of-type {
      margin-left: 0.5rem !important;
      border-color: rgba(0, 0, 0, 0.2) !important;
      color: rgba(0, 0, 0, 0.5);
      border: 1px solid rgba(var(--vs-primary), 1);
      background: transparent !important;
    }

    &:before {
      margin-left: 5%;
      content: "";
      top: 0;
      left: 0;
      position: absolute;
      width: 90%;
      height: 1px;
      background: rgba(0, 0, 0, 0.05);
    }
  }
}
